SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   MySQL Vendors:   MySQL.com, Oracle
(Ubuntu Issues Fix) MySQL Multiple Flaws Let Remote Users Gain Elevated Privileges, Remote Authenticated Users Access and Modify Data, and Remote and Local Users Deny Service
SecurityTracker Alert ID:  1041938
SecurityTracker URL:  http://securitytracker.com/id/1041938
CVE Reference:   CVE-2018-3133, CVE-2018-3143, CVE-2018-3144, CVE-2018-3155, CVE-2018-3156, CVE-2018-3161, CVE-2018-3162, CVE-2018-3171, CVE-2018-3173, CVE-2018-3174, CVE-2018-3185, CVE-2018-3187, CVE-2018-3200, CVE-2018-3247, CVE-2018-3251, CVE-2018-3276, CVE-2018-3277, CVE-2018-3278, CVE-2018-3282, CVE-2018-3283, CVE-2018-3284   (Links to External Site)
Date:  Oct 23 2018
Impact:   Denial of service via local system, Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in MySQL. A remote user can gain elevated privileges. A remote authenticated user can access and modify data on the target system. A remote or local user can cause denial of service conditions on the target system.

A remote user can exploit a flaw in the MySQL Enterprise Monitor Monitoring: General (Apache Struts 2) component to gain elevated privileges [CVE-2018-11776].

A remote user can exploit a flaw in the MySQL Enterprise Monitor Monitoring: General (Apache Tomcat) component to gain elevated privileges [CVE-2018-8014].

A remote authenticated user can exploit a flaw in the MySQL Connectors Connector/J component to gain elevated privileges [CVE-2018-3258].

A remote authenticated user can exploit a flaw in the MySQL Enterprise Monitor Monitoring: General (Spring Framework) component to gain elevated privileges [CVE-2018-1258].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB (zlib) component to gain elevated privileges [CVE-2016-9843].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Parser component to cause denial of service conditions [CVE-2018-3155].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to cause denial of service conditions [CVE-2018-3143, CVE-2018-3156, CVE-2018-3251].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DML component to cause denial of service conditions [CVE-2018-3182].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Optimizer component to cause denial of service conditions [CVE-2018-3137, CVE-2018-3203].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Parser component to cause denial of service conditions [CVE-2018-3133, CVE-2018-3145].

A remote user can exploit a flaw in the MySQL Server Server: Security: Audit component to cause denial of service conditions [CVE-2018-3144].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to partially modify data and cause denial of service conditions [CVE-2018-3185].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DDL component to partially modify data and cause denial of service conditions [CVE-2018-3195].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Merge component to partially modify data and cause denial of service conditions [CVE-2018-3247].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Optimizer component to partially modify data and cause denial of service conditions [CVE-2018-3187].

A local user can exploit a flaw in the MySQL Server Client programs component to cause denial of service conditions [CVE-2018-3174].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Partition component to partially modify data and cause denial of service conditions [CVE-2018-3171].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to cause denial of service conditions [CVE-2018-3277, CVE-2018-3162, CVE-2018-3173, CVE-2018-3200].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DDL component to cause denial of service conditions [CVE-2018-3170].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Information Schema component to cause denial of service conditions [CVE-2018-3212].

A remote authenticated user can exploit a flaw in the MySQL Server Server: JSON component to cause denial of service conditions [CVE-2018-3280].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Memcached component to cause denial of service conditions [CVE-2018-3276].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Optimizer component to cause denial of service conditions [CVE-2018-3186].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Partition component to cause denial of service conditions [CVE-2018-3161].

A remote authenticated user can exploit a flaw in the MySQL Server Server: RBR component to cause denial of service conditions [CVE-2018-3278].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Roles component to cause denial of service conditions [CVE-2018-3279].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Storage Engines component to cause denial of service conditions [CVE-2018-3282].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Windows component to cause denial of service conditions [CVE-2018-3285].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to cause denial of service conditions [CVE-2018-3284].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Logging component to cause denial of service conditions [CVE-2018-3283].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Privileges component to partially modify data [CVE-2018-3286].

Michael Orlitzky reported one vulnerability.

Impact:   A remote authenticated user can obtain data on the target system.

A remote authenticated user can modify data on the target system.

A local user can cause denial of service conditions on the target system.

A remote user can cause denial of service conditions.

A remote user can gain elevated privileges on the target system.

Solution:   Ubuntu has issued a fix for CVE-2018-3133, CVE-2018-3143, CVE-2018-3144, CVE-2018-3155, CVE-2018-3156, CVE-2018-3161, CVE-2018-3162, CVE-2018-3171, CVE-2018-3173, CVE-2018-3174, CVE-2018-3185, CVE-2018-3187, CVE-2018-3200, CVE-2018-3247, CVE-2018-3251, CVE-2018-3276, CVE-2018-3277, CVE-2018-3278, CVE-2018-3282, CVE-2018-3283, and CVE-2018-3284.

The Ubuntu advisory is available at:

https://usn.ubuntu.com/usn/usn-3799-1

Vendor URL:  usn.ubuntu.com/usn/usn-3799-1 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Ubuntu)
Underlying OS Comments:  14.04 LTS, 16.04 LTS, 18.04 LTS, 18.10

Message History:   This archive entry is a follow-up to the message listed below.
Oct 16 2018 MySQL Multiple Flaws Let Remote Users Gain Elevated Privileges, Remote Authenticated Users Access and Modify Data, and Remote and Local Users Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC